* {
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}
body {
	display: flex;
	justify-content: flex-start;
	align-items: center;
	flex-direction: column;
}
nav {
	position: relative;
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	min-height: 75px;
	background: linear-gradient(to right, hsl(288, 43%, 38%), hsl(288, 55%, 56%));
	color: #fff;
}
.nav-menu {
	display: flex;
	justify-content: center;
	margin-left: 2rem;
}
.nav-menu > ul > li > a {
	text-decoration: none;
	color: #fff;
}

ul {
	text-decoration: none;
	list-style: none;
	display: flex;
	justify-content: space-around;
	gap: 2rem;
}
@media only screen and (max-width: 510px) {
	.nav-menu {
		margin: auto;
		padding: 1rem;
	}
	ul {
		flex-direction: column;
	}
}

main {
	width: 32rem;
	height: 34rem;
	display: flex;
	justify-content: center;
	flex-direction: column;
	gap: 2rem;
	margin-top: 1rem;
	align-items: center;
	border-radius: 15px;
	background-color: rgb(246, 227, 252);
	color: purple;
}
main h1 {
	/* border: 1px solid violet; */
	margin-top: 1rem;
	margin-bottom: 0.4rem;
	font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
	font-weight: 300;
}
legend {
	padding-bottom: 0.6rem;
	padding-left: 0.2rem;
	font-family: Impact, Haettenschweiler, "Arial Narrow Bold", sans-serif;
	font-size: 14px;
}
fieldset {
	border: none;
	border-radius: 10px;
	margin: 0 0 10px;
	min-width: 100%;
	padding: 0;
	width: 100%;
}
#login input[type="text"],
#login input[type="password"] {
	width: 100%;
	border: 1px solid #ccc;
	background: #fff;
	margin: 0 0 5px;
	padding: 10px;
}
button {
	outline: none;
	border: none;
	cursor: pointer;
	margin-top: 1rem;
	border-radius: 10px;
	width: 100%;
	font-size: 1rem;
	padding: 0.8rem;
	color: #fff;
	background: purple;
}
button:hover {
	background: rgb(233, 210, 240);
	color: purple;
}
#error {
	font-style: italic;
	font-size: 12px;
	color: red;
}
#password-info {
	cursor: pointer;
}
#p-info {
	display: none;
}
#signup input[type="text"],
#signup input[type="password"],
#signup input[type="number"] {
	width: 100%;
	border: 1px solid #ccc;
	background: #fff;
	margin: 0 0 5px;
	padding: 10px;
}
#password-error {
	font-style: italic;
	font-size: 12px;
	color: red;
}
#email-error {
	font-style: italic;
	font-size: 12px;
	color: red;
}
#age-error,
#repeat-password-error {
	font-style: italic;
	font-size: 12px;
	color: red;
}
